%define upstream_name    Email-MIME-CreateHTML
%define upstream_version 1.042

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Finds resources via the filesystem
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Serializer)
BuildRequires: perl(Email::Address)
BuildRequires: perl(Email::MIME)
BuildRequires: perl(Email::MIME::Creator)
BuildRequires: perl(Email::Send)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Slurp::WithinPolicy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::TokeParser::Simple) >= 3.150.0
BuildRequires: perl(HTML::TreeBuilder::XPath)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Log::Trace)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(MIME::Types) >= 2.170.0
BuildRequires: perl(MIME::Words)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Assertions)
BuildRequires: perl(Test::Assertions::TestScript)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::WithBase)
BuildRequires: perl(URI::file)
BuildRequires: perl(common::sense)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildArch:  noarch

%description
This module allows you to build HTML emails, optionally with a text-only
alternative and embedded media objects. For example, an HTML email with an
alternative version in plain text and with all the required images
contained in the mail.

The HTML content is parsed looking for embeddable media objects. A resource
loading routine is used to fetch content from those URIs and replace the
URIs in the HTML with CIDs. The default resource loading routine is
deliberately conservative, only allowing resources to be fetched from the
local filesystem. It's possible and relatively straightforward to plug in a
custom resource loading routine that can resolve URIs using a broader range
of protocols. An example of one using LWP is given later in the the
/COOKBOOK manpage.

The MIME structure is then assembled, embedding the content of the
resources where appropriate. Note that this module does not send any mail,
it merely does the work of building the appropriate MIME message. The
message can be sent with the Email::Send manpage or any other mailer that
can be fed a string representation of an email message.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc COPYING Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.42.0-3.mga8
+ Revision: 1504372
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.42.0-2.mga7
+ Revision: 1283621
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 1.42.0-1.mga7
+ Revision: 1207190
- update to 1.042

* Sun Jun 19 2016 pterjan <pterjan> 1.41.0-3.mga6
+ Revision: 1026908
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.41.0-2.mga6
+ Revision: 966857
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.41.0-1.mga6
+ Revision: 846966
- update to 1.041

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 750377
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 665912
- update to 1.040

* Thu Jan 09 2014 pterjan <pterjan> 1.30.0-5.mga4
+ Revision: 566011
- Fix test as it seems the string is considered an object
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-3.mga3
+ Revision: 366811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 1.30.0-2.mga3
+ Revision: 326449
- add missing buildrequires (rt#61245)

* Tue Jun 21 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 111334
- imported package perl-Email-MIME-CreateHTML


* Tue Jun 21 2011 cpan2dist 1.030-1mga
- initial mageia release, generated with cpan2dist
